Cards
Create a card
POST
/
customers
/
{customer_id}
/
cards
Create a card
curl --request POST \
--url https://commerce1.on-hellgate.dev/customers/{customer_id}/cards \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"cardholder_name": "<string>",
"expiration_month": 123,
"expiration_year": 123,
"masked_card_number": "<string>",
"provider": "<string>",
"token": "<string>"
}
'import requests
url = "https://commerce1.on-hellgate.dev/customers/{customer_id}/cards"
payload = {
"cardholder_name": "<string>",
"expiration_month": 123,
"expiration_year": 123,
"masked_card_number": "<string>",
"provider": "<string>",
"token": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cardholder_name: '<string>',
expiration_month: 123,
expiration_year: 123,
masked_card_number: '<string>',
provider: '<string>',
token: '<string>'
})
};
fetch('https://commerce1.on-hellgate.dev/customers/{customer_id}/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cardholder_name": "<string>",
"expiration_month": 123,
"expiration_year": 123,
"masked_card_number": "<string>",
"provider": "<string>",
"status": "<string>",
"token": "<string>"
}{
"classifier": "<string>",
"code": 123,
"message": "<string>"
}Authorizations
Headers
Identifies the account. Required when authenticating via mTLS — omit when using an API key (account is inferred from the key).
Path Parameters
Customer ID
Body
application/json
Body
⌘I
Create a card
